/*  Program to Convert Fahrenheit to Cesius Degrees
       and write them out to the screen and a file

    Modified from the listing in Kernighan & Ritchie p. 9
    */
#include <stdio.h>
FILE *kp;
int main(void)
{
	kp=fopen("fahrenheit_real.dat","w");
	double fahr, celsius;
	double lower, upper, step;

	lower = 0;    /* lower limit of temperature table */
	upper = 110;  /* upper limit of temperature table */
	step = 5;     /* step size */

	fahr = lower;
	while (fahr <= upper)
	{
		celsius = 5*(fahr-32)/9;
		printf("%10.4f %10.4f\n",fahr,celsius);
		fprintf(kp,"%10.4f %10.4f\n",fahr,celsius);
		fahr = fahr + step;
	}
	fclose(kp);
	return(0);
}
